Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.exceptions
[Java] Class NewInstanceCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  griffon.exceptions.GriffonException
                      griffon.exceptions.NewInstanceCreationException

    public class NewInstanceCreationException
    extends GriffonException

Authors:
  Andres Almiray

Since:
  0.9.1

Constructor Summary
`NewInstanceCreationException()`
`NewInstanceCreationException(String arg0)`
`NewInstanceCreationException(String arg0, Throwable arg1)`
`NewInstanceCreationException(Throwable arg0)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### NewInstanceCreationException

    public NewInstanceCreationException()

### NewInstanceCreationException

    public NewInstanceCreationException(String arg0)

### NewInstanceCreationException

    public NewInstanceCreationException(String arg0, Throwable arg1)

### NewInstanceCreationException

    public NewInstanceCreationException(Throwable arg0)

Groovy Documentation